Retrieve an order
Retrieve the details of an order.
Request
Path parameters
Order number of the order to retrieve.
Response
A json is returned in the response body with the following fields:
Order number of the order.
Time of when this order is created.
Status of the order.
NEW— The order is newly created.IN_PROCESSING— The order is processing.COMPLETE— All of order items are processed and completed.CANCELLED— The order is cancelled.CLOSED— Some order items are processed and completed but some order items are cancelled.
First name of the customer for the order.
Last name of the customer for the order.
Email of the customer for the order.
PO number from the customer for the order. null if not applicable.
Currency code for the order.
Billing information for the order.
Show child attributes
Billing method for the order.
Contact person for billing of the order.
Company for billing of the order.
Street (or the first line) of billing address of the order.
City of billing address of the order.
State of billing address of the order.
Post code of billing address of the order.
Country of billing address of the order.
Country code of billing address of the order.
Email of billing address of the order.
Phone of billing address of the order.
Shipping information for the order. null if the order does not require shipment.
Show child attributes
Shipping method for the order.
Contact person for shipping of the order.
Company for shipping of the order.
Street (or the first line) of shipping address of the order.
City of shipping address of the order.
State of shipping address of the order.
Post code of shipping address of the order.
Country of shipping address of the order.
Country code of shipping address of the order.
Email of shipping address of the order.
Phone of shipping address of the order.
Items ordered.
Show child attributes
Product code (sku) of the line.
Product name of the line.
Original unit price of the line before any adjustments. Can be treated as MSRP.
Effective unit price of the line after any adjustments.
Quantity of the line.
Total price of the line.
If this line is purchasing for add-ons (e.g. license, warranty, etc) for serial numbers, this field is listing the details of the associated serial numbers. Empty array if the line is not associated with any serial numbers.
Show child attributes
SN of the serial number.
Options selected for this line. Empty array if the line is not associated with options.
Show child attributes
Product code (sku) of the selected option.
Product name of the selected option.
Total price of all lines.
Discount for the order.
Description of the discount for the order. null if no discount.
Coupon code applied for the order. null if not applicable.
Shipping fee for the order.
Shipping insurance for the order.
Bank charge for the order.
Credit card charge for the order.
Total price (including all lines, charges, etc) for the order.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/orders/{orderNumber}' \ -H 'Authorization: Bearer {token}'Response
{
"orderNumber": "example_order_number",
"orderedAt": "2025-02-06T01:25:20.000Z",
"status": "IN_PROCESSING",
"customerFirstName": "Jane",
"customerLastName": "Doe",
"customerEmail": "[email protected]",
"customerPoNumber": null,
"currencyCode": "USD",
"billing": {
"method": "OTHERS",
"contactPerson": "billing>contact>person>example",
"company": "billing>company>example",
"street": "street>example",
"city": "city>example",
"state": "state>example",
"postCode": "postCode>example",
"country": "United States",
"countryCode": "US",
"email": "[email protected]",
"phone": "123456789"
},
"shipping": {
"method": "CUSTOMER_SHIPPING_ACCOUNT",
"contactPerson": "billing>contact>person>example",
"company": "billing>company>example",
"street": "street>example",
"city": "city>example",
"state": "state>example",
"postCode": "postCode>example",
"country": "United States",
"countryCode": "US",
"email": "[email protected]",
"phone": "123456789"
},
"lines": [
{
"sku": "line_sku",
"productName": "line_product_name",
"originalUnitPrice": 1999,
"unitPrice": 1000,
"quantity": 1,
"totalPrice": 1000,
"serialNumbers": [],
"options": []
}
],
"linesTotalPrice": 1000,
"cartDiscount": 0,
"cartDiscountDescription": null,
"couponCode": null,
"shippingFee": 0,
"shippingInsurance": 0,
"bankCharge": 0,
"creditCardCharge": 0,
"grandTotal": 1000
}